## adv-17v35x 5.0.3.0

=== Makefile ===
#makefile for adv17v35x PCIe UARTs for Linux 2.6.9 and newer
KERNEL_SRC = /lib/modules/`uname -r`/build

DRV_NAME := adv17v35x

all: build

obj-m += adv17v35x.o

xrpci-objs :=	adv17v35x.o

EXTRA_CFLAGS += -DDEBUG=1

build:
	$(MAKE) -C $(KERNEL_SRC) SUBDIRS=$(PWD) modules

clean:
	@rm -f *.o
	@rm -f *.ko
	@rm -f *.mod.c modules.order  Module.symvers Module.markers
	@rm -f .*.cmd
	@rm -rf .tmp_versions
	@rm -rf *~

install:
	@echo "Intalling the advantech serial driver..."
	@echo "Please wait..."
	$(shell ! [ -d /lib/modules/$(shell uname -r)/kernel/drivers/adv17v35x ] && mkdir /lib/modules/$(shell uname -r)/kernel/drivers/adv17v35x)
	$(shell [ -f adv17v35x.ko ]  && cp ./adv17v35x.ko /lib/modules/$(shell uname -r)/kernel/drivers/adv17v35x/ && depmod && modprobe adv17v35x)
	@echo "Done"

uninstall:
	$(shell if grep $(DRV_NAME) /proc/modules > /dev/null ; then \
	 rmmod $(DRV_NAME) ; fi)
	$(shell rm -rf /lib/modules/$(shell uname -r)/kernel/drivers/$(DRV_NAME)/ && depmod)

=== debian/changelog ===
adv-17v35x (5.0.3.0-2) unstable; urgency=medium

  * Add 0001-Update-for-timer-api-changes-in-Linux-4.15.patch, thanks to 
    Seth Forshee.
  * Bump Standards-Version to 4.1.3 (no additional changes needed).
  * debian/control: Set section to kernel according to lintian warning.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 10 Feb 2018 00:13:32 +0300

adv-17v35x (5.0.3.0-1) unstable; urgency=low

  * Initial release (closes: #872795).

 -- Andrey Drobyshev <immortalguardian@redlab-i.ru>  Mon, 14 Aug 2017 11:16:58 +0300

=== debian/control ===
Source: adv-17v35x
Section: kernel
Priority: optional
Maintainer: Andrey Drobyshev <immortalguardian@redlab-i.ru>
Uploaders: Alexander Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9.0.0), dkms
Standards-Version: 4.1.3
Homepage: http://support.advantech.com
Vcs-Git: https://github.com/redlab-i/adv-17v35x
Vcs-Browser: https://github.com/redlab-i/adv-17v35x

Package: adv-17v35x-dkms
Architecture: all
Depends: dkms, ${misc:Depends}
Description: dkms driver sources for Advantech PCI/PCIe ACOM Series adapters
 This serial driver provides kernel support for the following multiport
 Advantech boards (using EXAR chip):
   PCIE-1602
   PCIE-1604
   PCIE-1610
   PCIE-1612
   PCIE-1620
   PCIE-1622
   PCM-3612I
   PCI-1602
   PCI-1604
   PCI-1610
   PCI-1612
   PCI-1620
   PCI-1622
 The package is aimed to provide DKMS support for this driver.

## adv-17v35x 5.0.6.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 EXTRA_CFLAGS += -DDEBUG=1
 
 build:
-	$(MAKE) -C $(KERNEL_SRC) SUBDIRS=$(PWD) modules
+	$(MAKE) -C $(KERNEL_SRC) M=$(PWD) modules
 
 clean:
 	@rm -f *.o

=== debian/changelog ===
adv-17v35x (5.0.6.0-3) unstable; urgency=medium

  * QA upload.
  * Switch to debhelper-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Set Rules-Requires-Root: no.
  * Use pkg-info.mk.
  * Drop superfluous executable permission.
  * Drop Debian revision from dkms module version.
  * Do not generate dkms.conf.
  * Bump Standards-Version to 4.6.1 (no additional changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 31 May 2022 22:21:36 +0200

adv-17v35x (5.0.6.0-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 15:38:03 +0100

adv-17v35x (5.0.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Git.

  [ Alexander Gerasiov ]
  * New upstream version 5.0.6.0
  * d/copyright: Update copyright entries.
  * Remove 0001-Update-for-timer-api-changes-in-Linux-4.15.patch. Fixed upstream.
  * d/control: Orphan the package (Closes: #979640).
  * d/control: Fix description (add new adapters).
  * d/control: Move package to salsa.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 31 Jan 2021 19:31:23 +0300

=== debian/control ===
Source: adv-17v35x
Section: kernel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://support.advantech.com
Vcs-Git: https://salsa.debian.org/debian/adv-17v35x.git
Vcs-Browser: https://salsa.debian.org/debian/adv-17v35x
Testsuite: autopkgtest-pkg-dkms

Package: adv-17v35x-dkms
Architecture: all
Depends: dkms, ${misc:Depends}
Description: dkms driver sources for Advantech PCI/PCIe ACOM Series adapters
 This serial driver provides kernel support for the following multiport
 Advantech boards (using EXAR chip):
   PCIE-1602
   PCIE-1604
   PCIE-1610
   PCIE-1612
   PCIE-1620
   PCIE-1622
   PCM-2602C
   PCM-2604C
   PCM-2610B
   PCM-2612B
   PCM-3612I
   PCI-1602
   PCI-1604
   PCI-1610
   PCI-1612
   PCI-1620
   PCI-1622
 The package is aimed to provide DKMS support for this driver.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build-indep:
	chmod -x Makefile *.c *.h

override_dh_install:
	dh_install -padv-17v35x-dkms Makefile \
		*.c \
		*.h \
		usr/src/adv-17v35x-$(DEB_VERSION_UPSTREAM)

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

## adv-17v35x 5.0.7.0

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,10 @@
 xrpci-objs :=	adv17v35x.o
 
 EXTRA_CFLAGS += -DDEBUG=1
+
+SERIAL_NAME= ttyB
+SERIAL_NAMEA = ttyA
+MAX_TTY= 64 
 
 build:
 	$(MAKE) -C $(KERNEL_SRC) M=$(PWD) modules
@@ -33,3 +37,6 @@
 	$(shell if grep $(DRV_NAME) /proc/modules > /dev/null ; then \
 	 rmmod $(DRV_NAME) ; fi)
 	$(shell rm -rf /lib/modules/$(shell uname -r)/kernel/drivers/$(DRV_NAME)/ && depmod)
+	
+test:
+	@cd ./getconfig; make; ./getconfig $(SERIAL_NAME) $(MAX_TTY);./getconfig $(SERIAL_NAMEA) $(MAX_TTY)

=== getconfig/Makefile ===
CC = gcc
CFLAGS = -O
GETCONFIG = getconfig

all: $(GETCONFIG)

$(GETCONFIG): $(GETCONFIG).c
	$(CC) $(CFLAGS) -o $@ $<

clean:
	@rm -f *.o $(GETCONFIG)

=== debian/changelog ===
adv-17v35x (5.0.7.0-1) unstable; urgency=medium

  * QA upload.

  [ Andreas Beckmann ]
  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes needed.

  [ Paolo Pisati ]
  * Fix module build for Linux 6.1. (Closes: #1030187)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Feb 2023 17:11:13 +0100

adv-17v35x (5.0.6.0-4) unstable; urgency=medium

  * QA upload.
  * Fix build with linux 6.0 (Closes: #1023662)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Nov 2022 08:37:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://support.advantech.com
 Vcs-Git: https://salsa.debian.org/debian/adv-17v35x.git
 Vcs-Browser: https://salsa.debian.org/debian/adv-17v35x

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,10 @@
 %:
 	dh $@
 
-override_dh_auto_build-indep:
+override_dh_auto_build:
 	chmod -x Makefile *.c *.h
+
+override_dh_auto_test:
 
 override_dh_install:
 	dh_install -padv-17v35x-dkms Makefile \
